﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DataContracts.bindingModels;
using DataContracts.searchModels;
using DataContracts.viewModels;

namespace DataContracts.storages
{
    public interface IClientStorage
    {
        List<ClientViewModel> GetFullList();
        ClientViewModel? GetElement(ClientSearchModel model);
        ClientViewModel? Insert(ClientBindingModel model);
        ClientViewModel? Update(ClientBindingModel model);
        ClientViewModel? Delete(ClientBindingModel model);
    }
}
