﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UnvisableComponents
{
    public class ChartInfo
    {
        private string path;
        private string title;
        private string diagrammTitle;
        private List<(string,int)> dates = new List<(string, int)>();
        private DirectionLegend dir = 0;
        public string Path { get { return path; } set { path = value; } }
        public string Title { get { return title; } set { title = value; } }
        public string DiagrammTitle { get { return diagrammTitle; } set { diagrammTitle = value; } }
        public DirectionLegend DirLegend { get { return dir; } set { dir = value; } }
        public List<(string, int)> Dates { get { return dates; } set { dates = value; } }
        public ChartInfo() { }
    }
}
