﻿using DataContracts.bindingModels;
using DataContracts.searchModels;
using DataContracts.viewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DataContracts.storages
{
    public interface IProductStorage
    {
        List<ProductViewModel> GetFullList();
        ProductViewModel? GetElement(ProductSearchModel model);
        ProductViewModel? Insert(ProductBindingModel model);
        ProductViewModel? Update(ProductBindingModel model);
        ProductViewModel? Delete(ProductBindingModel model);
    }
}
